DtMmdbSectionGetStyleSheetId(library call)

NAME
DtMmdbSectionGetStyleSheetId — obtains the object identifier of a section's stylesheet

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle* DtMmdbSectionGetStyleSheetId(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbSectionGetStyleSheetId function returns the object identifier for the specified section's stylesheet. Use the DtMmdbFreeHandle function to free the handle when it is no longer needed. Table lookup is involved if the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and either the section's Database Engine identifier (in the primary_oid field) or the section's logical identifier (in the locator_ptr field). If both of these fields have a value, DtMmdbSectionGetStyleSheetId uses the locator_ptr value.

RETURN VALUE

If DtMmdbSectionGetStyleSheetId completes successfully, it returns a pointer to the object identifier. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbSectionGetStyleSheetId call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
handle = DtMmdbSectionGetStyleSheetId(&&request);

SEE ALSO

TO BE SUPPLIED